Page MenuHomePhabricator

[mlir:Async] Add the size parameter to the async.group
ClosedPublic

Authored by ezhulenev on Jun 23 2021, 6:20 AM.

Details

Summary

Specify the !async.group size (the number of tokens that will be added to it) at construction time. async.await_all operation can potentially race with async.execute operations that keep updating the group, for this reason it is required to know upfront how many tokens will be added to the group.

Diff Detail

Event Timeline

ezhulenev created this revision.Jun 23 2021, 6:20 AM
ezhulenev requested review of this revision.Jun 23 2021, 6:20 AM
ezhulenev edited the summary of this revision. (Show Details)Jun 23 2021, 6:22 AM
ezhulenev added a reviewer: mehdi_amini.
ezhulenev edited the summary of this revision. (Show Details)
ezhulenev updated this revision to Diff 353946.Jun 23 2021, 6:24 AM

Update create_grop documentation in the td file

ftynse accepted this revision.Jun 24 2021, 8:37 AM
ftynse added inline comments.
mlir/lib/Conversion/AsyncToLLVM/AsyncToLLVM.cpp
599

Nit: op.result().getType() is slightly more readable than magic 0.

This revision is now accepted and ready to land.Jun 24 2021, 8:37 AM
herhut accepted this revision.Jun 24 2021, 9:10 AM
ezhulenev updated this revision to Diff 354405.Jun 24 2021, 5:47 PM
ezhulenev marked an inline comment as done.

Resolve comments

This revision was landed with ongoing or failed builds.Jun 25 2021, 10:27 AM
This revision was automatically updated to reflect the committed changes.